资源中心/云资源池/云盘相关接口
PUTVolume Operations起始版本 0.6同步需要认证
开启或关闭云盘
开启或关闭云盘
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
请求参数
路径参数
uuidString必填云盘资源Uuid
请求体字段
changevolumestateObject必填changevolumestate 请求体结构
stateEventString必填开启或关闭
systemTagsList系统标签
userTagsList用户标签
响应状态
请求地址
PUT/zstack/v1/volumes/{uuid}/actions
/zstack/v1/volumes/{uuid}/actions
请求示例
curl -X PUT 'http://{host}/zstack/v1/volumes/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changevolumestate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventory": { "uuid": "0404b47365d14328b69be6ba29f79e74", "name": "test-volume", "primaryStorageUuid": "b86a9e49bf0e4c96b13b416de45031b1", "vmInstanceUuid": "00e88729e2f64212a7ae19c135de879d", "diskOfferingUuid": "9042780280534984ad298f8c6613e162", "rootImageUuid": "de9c09f4f3f7409e98ac0dbb6cae76a2", "installPath": "/Cloud_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-0404b47365d14328b69be6ba29f79e74/0404b47365d14328b69be6ba29f79e74.qcow2", "type": "Root", "format": "qcow2", "size": 1.073741824E11, "actualSize": 2.147483648E10, "deviceId": 0.0, "state": "Enabled", "status": "Ready", "createDate": "Jun 7, 2017 9:21:21 PM", "lastOpDate": "Jun 7, 2017 9:21:21 PM" } } }变更历史
此 API 暂无变更历史记录。
